Subject: bug#31626: Emacs window resizes when entering dired mode

From: Alain Knaff <[email-masked]>
Date: Mon, 28 May 2018 15:49:49 +0000

On 2018-05-28 17:32, Alain Knaff wrote:
> 
> 
> On 2018-05-28 17:25, Eli Zaretskii wrote:
>>> From: Alain Knaff <[email-masked]>
>>> Date: Mon, 28 May 2018 13:02:32 +0000
>>>
>>> Whenever I enter dired mode, the emacs window resizes itself. This is
>>> undesirable, as windows that jump around interrupt the flow of work.
>>>
>>> It happens with Gnu Emacs 25.2.2 as included on Ubuntu 18.04
>>
>> I cannot reproduce this.  Do you see that in "emacs-Q"?
> 
> I do. Even though the "jump" is less pronounced.

... and actually, it seems to happen not only for new dired buffers but
also when:

1. C-x b'ing back to a dired buffer
2. Just clicking or C-o'ing into the dired buffer (in split window mode)
3. Leaving the mini-buffer while the dired buffer is active (either by
completing the command, or by C-g'ing it)

Also, when dired has the focus and the frame is currently narrower or
equal than what dired wants, set-frame-width with a width smaller than
95 is ineffective.

When dired does have the focus, and the frame is currently wider or
equal than what dired wants, set-frame-width with a width smaller than
95 performs as if 95 had been given.

>> Thanks.

-- 
Alain Knaff
Ingénieur Informaticien

LE GOUVERNEMENT DU GRAND-DUCHÉ DE LUXEMBOURG
Ministère du Développement durable et des Infrastructures
Administration de l’environnement

1, avenue du Rock'n'Roll . L-4361 Esch-sur-Alzette
Tél. (+352) 40 56 56-309
E-Mail: [email-masked]
www.gouvernement.lu . www.luxembourg.lu